package bou.amine.apps.readerforselfossv2.utils

import com.github.`ln-12`.library.ConnectivityStatus
import kotlinx.coroutines.MainScope
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.launch

actual class NetworkStatus {
    private val connectivityStatus: ConnectivityStatus = ConnectivityStatus()
    actual val current: MutableStateFlow<Boolean> = connectivityStatus.isNetworkConnected

    actual fun start() {
        connectivityStatus.start()
    }

    actual fun stop() {
        connectivityStatus.stop()
    }

    fun getStatus(success: (Boolean) -> Unit) {
        MainScope().launch {
            connectivityStatus.isNetworkConnected.collect { status ->
                success(status)
            }
        }
    }
}